Package org.eclipse.ecf.provider.generic

# Class ContainerMessage.ViewChangeMessage

java.lang.Object
org.eclipse.ecf.provider.generic.ContainerMessage.ViewChangeMessage

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  ContainerMessage

public static final class ContainerMessage.ViewChangeMessage extends Object implements Serializable

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`ID[]`
`getChangeIDs()`
`Serializable`
`getData()`
`boolean`
`isAdd()`
`protected String`
`printChangeIDs()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### printChangeIDs

protected String printChangeIDs()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### isAdd

public boolean isAdd()

Returns:
  Returns the add.

### getChangeIDs

public ID[] getChangeIDs()

Returns:
  Returns the changeIDs.

### getData

public Serializable getData()

Returns:
  Returns the data.